
_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;Using interrupt in Timer TMR0 .c,3 :: 		void interrupt() {
;Using interrupt in Timer TMR0 .c,4 :: 		cnt++; // Interrupt causes cnt to be incremented by 1
	INCF       _cnt+0, 1
	BTFSC      STATUS+0, 2
	INCF       _cnt+1, 1
;Using interrupt in Timer TMR0 .c,5 :: 		TMR0 = 96; // Timer TMR0 is returned its initial value
	MOVLW      96
	MOVWF      TMR0+0
;Using interrupt in Timer TMR0 .c,6 :: 		INTCON = 0x20; // Bit T0IE is set, bit T0IF is cleared
	MOVLW      32
	MOVWF      INTCON+0
;Using interrupt in Timer TMR0 .c,7 :: 		}
L_end_interrupt:
L__interrupt5:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_main:

;Using interrupt in Timer TMR0 .c,9 :: 		void main() {
;Using interrupt in Timer TMR0 .c,10 :: 		OPTION_REG = 0x84; // Prescaler is assigned to timer TMR0
	MOVLW      132
	MOVWF      OPTION_REG+0
;Using interrupt in Timer TMR0 .c,11 :: 		ANSEL = 0; // All I/O pins are configured as digital
	CLRF       ANSEL+0
;Using interrupt in Timer TMR0 .c,12 :: 		ANSELH = 0;
	CLRF       ANSELH+0
;Using interrupt in Timer TMR0 .c,13 :: 		TRISB = 0; // All port B pins are configured as outputs
	CLRF       TRISB+0
;Using interrupt in Timer TMR0 .c,14 :: 		PORTB = 0x0; // Reset port B
	CLRF       PORTB+0
;Using interrupt in Timer TMR0 .c,15 :: 		TMR0 = 96; // Timer T0 counts from 96 to 255
	MOVLW      96
	MOVWF      TMR0+0
;Using interrupt in Timer TMR0 .c,16 :: 		INTCON = 0xA0; // Enable interrupt TMR0
	MOVLW      160
	MOVWF      INTCON+0
;Using interrupt in Timer TMR0 .c,17 :: 		cnt = 0; // Variable cnt is assigned a 0
	CLRF       _cnt+0
	CLRF       _cnt+1
;Using interrupt in Timer TMR0 .c,19 :: 		do { // Endless loop
L_main0:
;Using interrupt in Timer TMR0 .c,20 :: 		if (cnt == 400) { // Increment port B after 400 interrupts
	MOVF       _cnt+1, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main7
	MOVLW      144
	XORWF      _cnt+0, 0
L__main7:
	BTFSS      STATUS+0, 2
	GOTO       L_main3
;Using interrupt in Timer TMR0 .c,21 :: 		PORTB = PORTB++; // Increment number on port B by 1
	INCF       PORTB+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      PORTB+0
;Using interrupt in Timer TMR0 .c,22 :: 		cnt = 0; // Reset variable cnt
	CLRF       _cnt+0
	CLRF       _cnt+1
;Using interrupt in Timer TMR0 .c,23 :: 		}
L_main3:
;Using interrupt in Timer TMR0 .c,24 :: 		} while(1);
	GOTO       L_main0
;Using interrupt in Timer TMR0 .c,25 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
